> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Starting Package



## OpenAPI

````yaml /openapi.json put /admin/api/workspaces/{workspaceId}/starting-package
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /admin/api/workspaces/{workspaceId}/starting-package:
    put:
      tags:
        - Admin Api
      summary: Set Starting Package
      operationId: AdminApiController_setStartingPackage
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartingPackageDto'
      responses:
        '204':
          description: ''
components:
  schemas:
    StartingPackageDto:
      type: object
      properties:
        payment:
          type: string
          enum:
            - in_app
            - outside_app
        billingInterval:
          type: string
          enum:
            - month
            - year
        packages:
          minItems: 1
          maxItems: 20
          type: array
          items:
            type: object
            properties:
              packageKey:
                type: string
                pattern: ^[a-z][a-z0-9_]{1,63}$
              seats:
                type: integer
                minimum: 1
                maximum: 2147483647
            required:
              - packageKey
              - seats
            additionalProperties: false
        memo:
          type: string
          maxLength: 500
        couponCode:
          type: string
          maxLength: 64
          pattern: ^[A-Za-z0-9_-]*$
        stripeCustomerId:
          type: string
          maxLength: 255
          pattern: ^(cus_[A-Za-z0-9]+)?$
      required:
        - payment
        - billingInterval
        - packages
      additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.